<?php

namespace app\admin\validate\asset;

use think\Validate;

class HouseTypeValidate extends Validate
{
    protected $rule = [
        'asset_id' => 'require|integer',
        'join_asset_category_id' => 'integer',
        'asset_key' => 'require|alphaDash',
        'asset_classify' => 'max:32',
        'asset_status' => 'require|in:ACTIVED,DISABLED',
        'asset_category' => 'max:32',
        'asset_house_type' => 'max:32',
        'asset_area_building' => 'float',
        'asset_area_floorage' => 'float',
        'asset_area_shared' => 'float',
        'asset_remark' => 'max:128',
        'asset_extend_json' => 'isJson'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['join_asset_category_id', 'asset_key', 'asset_classify', 'asset_status', 'asset_category', 'asset_house_type', 'asset_area_building', 'asset_area_floorage', 'asset_area_shared', 'asset_remark', 'asset_extend_json'],
        'update' => ['asset_id', 'join_asset_category_id', 'asset_key', 'asset_classify', 'asset_status', 'asset_category', 'asset_house_type', 'asset_area_building', 'asset_area_floorage', 'asset_area_shared', 'asset_remark', 'asset_extend_json'],
    ];

    public function isJson($value)
    {
        if (is_json($value)) {
            return true;
        }
        return '数据格式错误~';
    }
}